coverage.c File Reference
`#include "ruby.h"`
`#include "vm_core.h"`

Go to the source code of this file.

## Functions

static VALUE | rb_coverage_start (VALUE klass)
static int | coverage_result_i (st_data_t key, st_data_t val, st_data_t h)
static VALUE | rb_coverage_result (VALUE klass)
void | Init_coverage (void)

## Variables

static VALUE | rb_coverages = Qundef

## Function Documentation

static int coverage_result_i | ( | st_data_t | key,
|  | st_data_t | val,
|  | st_data_t | h
| ) |  |

static

Definition at line 36 of file coverage.c.

References coverage(), rb_ary_clear(), rb_ary_dup(), rb_ary_freeze(), rb_hash_aset(), and ST_CONTINUE.

Referenced by rb_coverage_result().

void Init_coverage | ( | void |  | ) |

Definition at line 101 of file coverage.c.

References rb_coverage_result(), rb_coverage_start(), rb_coverages, rb_define_module(), rb_define_module_function(), and rb_gc_register_address().

static VALUE rb_coverage_result | ( | VALUE | klass | ) |

static

Definition at line 56 of file coverage.c.

References coverage_result_i(), rb_eRuntimeError, rb_get_coverages(), rb_hash_freeze(), rb_hash_new(), rb_raise(), rb_reset_coverages(), RHASH_TBL, RTEST, and st_foreach.

Referenced by Init_coverage().

static VALUE rb_coverage_start | ( | VALUE | klass | ) |

static

Definition at line 23 of file coverage.c.

References Qnil, Qundef, rb_coverages, rb_get_coverages(), rb_hash_new(), rb_set_coverages(), RBASIC, and RTEST.

Referenced by Init_coverage().

## Variable Documentation

VALUE rb_coverages = Qundef

static

Definition at line 14 of file coverage.c.

Referenced by Init_coverage(), and rb_coverage_start().